Bug 540718

Summary: [abrt] crash detected in compiz-0.8.2-19.fc12 #1 in enableFragmentProgramAndDrawGeometry () at paint.c:883
Product: [Fedora] Fedora Reporter: Volans <volans2000>
Component: compizAssignee: Adel Gadllah <adel.gadllah>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: adel.gadllah, forthommel, hidoufr, jlayton, luzemail, theo148
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:1d16d43fb5691ad8b575568e1de8b77ff9dad8ae
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:53:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
dmesg output file
none
Xorg.0.log file
none
Xorg.9.log file
none
/var/cache/abrt/ccpp-1259536017-5799 folder none

Description Volans 2009-11-23 19:24:35 EST
abrt detected a crash.

Comment
-----
I was watching a video with flash player, then the image got frozen and the windows top dissapeared together with the maximize, minimize and close box.
I went to "System"->"Desktop effects" and I disabled compiz and enabled it again. Everything returned to normal. 

Attached file: backtrace
cmdline: compiz --ignore-desktop-hints glib gconf gnomecompat
component: compiz
executable: /usr/bin/compiz
kernel: 2.6.31.5-127.fc12.i686.PAE
package: compiz-0.8.2-19.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Volans 2009-11-23 19:24:38 EST
Created attachment 373290 [details]
File: backtrace
Comment 2 Hamidou Dia 2009-11-24 08:01:30 EST
Hi Volans.

Sorry to disturb you again.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Thanks in advance.
Comment 3 Hamidou Dia 2009-11-24 08:06:58 EST
PS : this is the same crash as 540776. I was waiting the uploaded files for this ticket as well. So just do it for this one.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Hamidou Dia 2009-11-24 08:08:28 EST
*** Bug 538827 has been marked as a duplicate of this bug. ***
Comment 5 Volans 2009-11-24 18:05:19 EST
Created attachment 373580 [details]
dmesg output file
Comment 6 Volans 2009-11-24 18:06:01 EST
Created attachment 373581 [details]
Xorg.0.log file
Comment 7 Volans 2009-11-24 18:06:27 EST
Created attachment 373582 [details]
Xorg.9.log file
Comment 8 Volans 2009-11-24 18:08:24 EST
Too late. I already did for both. :P
Comment 9 Matěj Cepl 2009-11-25 12:07:50 EST
Thread 1 (Thread 1656):
#0  0x00000000 in ?? ()
No symbol table info available.
#1  0x0806bd53 in enableFragmentProgramAndDrawGeometry (
    mask=<value optimized out>, filter=<value optimized out>, 
    attrib=<value optimized out>, texture=<value optimized out>, 
    w=<value optimized out>) at paint.c:883
        param = 0
        function = <value optimized out>
        fa = {opacity = 65535, brightness = 42597, saturation = 2131, 
          nTexture = 0, function = {1, 0 <repeats 15 times>}, nFunction = 1, 
          nParam = 1}
        s = <value optimized out>
        blending = <value optimized out>
#2  drawWindowTexture (mask=<value optimized out>, 
    filter=<value optimized out>, attrib=<value optimized out>, 
    texture=<value optimized out>, w=<value optimized out>) at paint.c:1170
        filter = 1
#3  0x005753dc in videoDrawWindowTexture (w=<value optimized out>, 
    texture=<value optimized out>, attrib=<value optimized out>, 
    mask=<value optimized out>) at video.c:487
        s = 0x8382d80
        vs = 0x8741848
#4  0x0057d3c1 in decorDrawWindow (w=<value optimized out>, 
    transform=<value optimized out>, attrib=<value optimized out>, 
    region=<value optimized out>, mask=<value optimized out>)
    at decoration.c:222
        wd = <value optimized out>
        box = {size = 148377424, numRects = 1, rects = 0xbfc46a88, extents = {
            x1 = 2881, x2 = 3465, y1 = 839, y2 = 849}}
        i = 12
        status = <value optimized out>
        ds = <value optimized out>
#5  0x00739e43 in obsDrawWindow (w=<value optimized out>, 
    transform=<value optimized out>, attrib=<value optimized out>, 
    region=<value optimized out>, mask=<value optimized out>) at obs.c:277
        fragment = {opacity = 9273, brightness = 236, saturation = 31344, 
          nTexture = -1077644528, function = {64, 138030088, 16833340, 
    -1077644528, -1077646520, 15257427, 138180272, -1077644528, 98707844, 
    98707844, 138180272, 138180256, 15257322, 98702028, 5, -1077644528}, 
          nFunction = -1077646488, nParam = 98390164}
        factor = <value optimized out>
        s = 0x8382d80
        hasCustomFactor = <value optimized out>
        status = <value optimized out>
        i = <value optimized out>
        os = 0x8cbc200
        ow = <value optimized out>
#6  0x0806b6cf in paintWindow (w=<value optimized out>, 
    attrib=<value optimized out>, transform=<value optimized out>, 
    region=<value optimized out>, mask=5) at paint.c:1260
        fragment = {opacity = 65535, brightness = 42597, saturation = 2131, 
          nTexture = 0, function = {0 <repeats 16 times>}, nFunction = 0, 
          nParam = 0}
        status = <value optimized out>
#7  0x006546cf in wobblyPaintWindow (w=<value optimized out>, 
    attrib=<value optimized out>, transform=<value optimized out>, 
    region=<value optimized out>, mask=<value optimized out>) at wobbly.c:1983
        status = <value optimized out>
        ws = 0x87afbc0
#8  0x00582e39 in clonePaintWindow (w=<value optimized out>, 
    attrib=<value optimized out>, transform=<value optimized out>, 
    region=<value optimized out>, mask=<value optimized out>) at clone.c:442
        status = <value optimized out>
        cs = 0x87b7638
Comment 10 Hamidou Dia 2009-11-27 21:44:26 EST
Hi Volans.

The day and at the moment the crash occured, a file named coredump should have been generated under the directory /var/cache/ccpxxxx/.

Please could you kindly attach, this coredump file to this bugzilla ticket?
In case you may have several ccpp directory for the day the crash occured, refer to the bugzilla ticket and the timestamp of its creation in order to determinate which directory is the corresponding one.

It would really by one thing that could speed up the understanding of the context of the point of failure,
so I really encourage you to do so, and know that it would be really appreciated.

Best Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Hamidou Dia 2009-11-28 15:19:14 EST
Hi Volans.

My mistake. It was /var/cache/abrt/ccppxxx.

I just was thinking that you might not be able to upload such a file because of the bugzilla upload limit.

So just forget about it for the moment.

I am leaving it up to Adel the compiz maintainer.

@Adel: it Looks like a compiz related issue, Assigning to you.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Volans 2009-11-28 16:13:56 EST
Hello,
 
How do I identify the folder I want? I have the following folders inside /var/cache/abrt/

total 92
-rw-r--r--. 1 root   root   5120 Nov 28 20:01 abrt-db
drwx------. 2 gdm    gdm    4096 Nov 18 22:10 ccpp-1258582243-1352
drwx------. 2 gdm    gdm    4096 Nov 20 19:52 ccpp-1258746735-1351
drwx------. 2 gdm    gdm    4096 Nov 25 23:43 ccpp-1259192621-1447
drwx------. 2 gdm    gdm    4096 Nov 28 12:46 ccpp-1259412365-1489
drwx------. 2 gdm    gdm    4096 Nov 28 19:58 ccpp-1259438297-1532
drwx------. 2 Volans Volans 4096 Nov 28 20:13 ccpp-1259438471-2066
drwx------. 2 root   root   4096 Nov 20 14:09 kerneloops-1258726102-1
drwx------. 2 root   root   4096 Nov 20 14:08 kerneloops-1258726102-2
drwx------. 2 root   root   4096 Nov 20 14:08 kerneloops-1258726102-3
drwx------. 2 root   root   4096 Nov 20 14:08 kerneloops-1258726102-4
drwx------. 2 root   root   4096 Nov 20 14:08 kerneloops-1258726102-5
drwx------. 2 root   root   4096 Nov 20 14:08 kerneloops-1258726102-8
drwx------. 2 root   root   4096 Nov 24 23:50 kerneloops-1259106606-1
drwx------. 2 root   root   4096 Nov 25 23:50 kerneloops-1259192258-1
drwx------. 2 root   root   4096 Nov 25 23:37 kerneloops-1259192258-2
drwx------. 2 root   root   4096 Nov 25 23:37 kerneloops-1259192258-3
drwx------. 2 root   root   4096 Nov 25 23:41 kerneloops-1259192497-1
drwx------. 2 root   root   4096 Nov 25 23:41 kerneloops-1259192497-2
drwx------. 2 root   root   4096 Nov 28 12:47 kerneloops-1259412469-1
drwx------. 2 root   root   4096 Nov 28 20:01 kerneloops-1259438347-1
drwx------. 2 root   root   4096 Nov 18 20:48 pyhook-1258577280-1272

How do I identify the correct folder and what inside should I send? I can send it over email if you want. :)

Regards
Comment 13 Volans 2009-11-29 18:17:32 EST
OK guys, I think I got a way to reproduce the error when I want. The only thing I need to do is to make my PC very very busy. Compiz then crashes. I managed to produce two crashes with this "technic".

Now, what do I do next?
Comment 14 Volans 2009-11-29 18:35:27 EST
Created attachment 374647 [details]
/var/cache/abrt/ccpp-1259536017-5799 folder

The original folder was 42MB, it got compressed to 1.9MB, I have trouble believing this is possible. Check please if the coredump (42MB) is inside the Zip file. I see it, but... I have troubl believing in such a compression rate.

Regards
Comment 15 Hamidou Dia 2009-12-07 05:44:42 EST
Hi Volans.

I uncompressed back at home and got the original size you mentioned.
(I saw 200MB coredump compressed to about 20MB).

Many thanks again for your actions.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Matěj Cepl 2009-12-09 19:27:03 EST
*** Bug 539540 has been marked as a duplicate of this bug. ***
Comment 17 Hamidou Dia 2009-12-18 11:55:08 EST
*** Bug 546932 has been marked as a duplicate of this bug. ***
Comment 18 Hamidou Dia 2010-01-20 21:18:42 EST
*** Bug 556111 has been marked as a duplicate of this bug. ***
Comment 19 Chris Campbell 2010-02-07 22:39:05 EST
*** Bug 561343 has been marked as a duplicate of this bug. ***
Comment 20 Bug Zapper 2010-11-04 01:33:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-12-03 21:53:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.